

Summary:	Free, simple and portable asynchronous resolver library
Name:		libasr
Version:	1.0.4
Release:    1%{?dist}

License:	BSD
URL:		https://github.com/OpenSMTPD/libasr

%if 0%{?prerelease}
Source0:	http://www.opensmtpd.org/archives/%{name}-%{prerelease}.tar.gz
%else
Source0:	http://www.opensmtpd.org/archives/%{name}-%{version}.tar.gz
%endif

BuildRequires: make
BuildRequires:  gcc
BuildRequires:	libevent-devel
%if 0%{?el7}
BuildRequires:	openssl11-devel
%else
BuildRequires:	openssl-devel
%endif

%description
Libasr allows to run DNS queries and perform hostname resolutions in a fully
asynchronous fashion. The implementation is thread-less, fork-less, and does not
make use of signals or other "tricks" that might get in the developer's way.
The API was initially developed for the OpenBSD operating system, where it is
natively supported.

This library is intended to bring this interface to other systems. It is
originally provided as a support library for the portable version of the
OpenSMTPD daemon, but it can be used in any other contexts.


%package devel
Summary:	Development files for %{name}
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the header files and libraries for developing
with %{name}.


%prep
%setup -q %{?prerelease: -n %{name}-%{prerelease}}

%build
%configure \
	--enable-shared \
	--disable-static \
	--with-mantype=man

make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
chmod 0755 %{buildroot}%{_libdir}/libasr.so.*
rm -f %{buildroot}%{_libdir}/*.la



%files
%doc ChangeLog README.md
%license LICENCE
%{_libdir}/libasr.so.*


%files devel
%{_includedir}/asr.h
%{_libdir}/libasr.so


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.4-1
- initial build
